<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_New_Comment_On_Trip StructType
 * @subpackage Structs
 */
class Insert_New_Comment_On_Trip extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The CommentInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Insert_new_comment_on_trip_1
     */
    public $CommentInsert;
    /**
     * Constructor method for Insert_New_Comment_On_Trip
     * @uses Insert_New_Comment_On_Trip::setLogin()
     * @uses Insert_New_Comment_On_Trip::setCommentInsert()
     * @param \StructType\Login $login
     * @param \StructType\Insert_new_comment_on_trip_1 $commentInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\Insert_new_comment_on_trip_1 $commentInsert = null)
    {
        $this
            ->setLogin($login)
            ->setCommentInsert($commentInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_New_Comment_On_Trip
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get CommentInsert value
     * @return \StructType\Insert_new_comment_on_trip_1|null
     */
    public function getCommentInsert()
    {
        return $this->CommentInsert;
    }
    /**
     * Set CommentInsert value
     * @param \StructType\Insert_new_comment_on_trip_1 $commentInsert
     * @return \StructType\Insert_New_Comment_On_Trip
     */
    public function setCommentInsert(\StructType\Insert_new_comment_on_trip_1 $commentInsert = null)
    {
        $this->CommentInsert = $commentInsert;
        return $this;
    }
}
